<?php
namespace Helpers;

use Api\PhpUtils\Log\FileLog;
use Api\PhpUtils\Http\Request;

/**
 * Sdk 获取接口
 */
class Sdk {

    /**
     * @param $current_amount
     * @param $total_amount
     * @param $cleared_amount
     * @param $total_tip
     * @param $cleared_tip
     * 计算微信手续费公式，计算单位是分
     */
    public static function call($url, $params, $headers = []) {

        /*
        $header = [
            'X-REQUEST-ID'=>Logger::getTraceId(),
        ];

        $headers = array_merge($headers, $header);
        */
        $data  = (new Request())->post($url, $params,2000, 'json');

        FileLog::info('sdk_call:' . 'services return', json_encode(['url'=>$url, $headers, 'req'=>$params, 'res'=>$data], JSON_UNESCAPED_UNICODE));
        /*
        [
            "http_code"=> 200,
            "code"=> 0,
            "response"=> [
                "code"=> 102002,
                "status"=> "failed",
                "reason"=> "暂未开通钱包"
            ]
        ]
        */

        if(!empty($data['response']['code'])) {
            throw new \Exception($data['response']['reason'], $data['response']['code']);
        }

        return $data['response'];
    }
}