<?php

use App\Base\Base;

use App\Services\pay\PayService;
use App\Services\refund\RefundService;


class OrderController extends Base
{
    /**
     * 创建支付订单，返回前端ping++的支付信息
     */
    public function payAction()
    {
        $params = $this->params;
        $user_id    = $params['user_id'];
        $order_id = $params['order_id'];

        $paySrv = new PayService();
        $ret = $paySrv->do_pay($order_id, $user_id);

        //兼容C端客户端支付，调整返回结构，ping++ 返回 order，原生：微信、支付宝返回charge
        $result = [];
        $result[] = ['k'=>'order', 'v'=>$ret];
        $this->success(['result'=>$result]);
    }

    public function refundAction() {
        $params = $this->params;
        $user_id    = $params['user_id'];
        $order_item_id = $params['order_item_id'];

        $refundSrv = new RefundService();
        $ret = $refundSrv->do_refund($order_item_id, $user_id);

        $this->success(['result'=>$ret]);
    }

    public function write_offAction() {
        $params = $this->params;
        $life_account_id    = $params['life_account_id'];
        $order_item_id = $params['order_item_id'];

        $refundSrv = new PayService();
        $ret = $refundSrv->write_off($order_item_id, $life_account_id);

        $this->success(['result'=>$ret]);
    }
}
