<?php


namespace Daemon;


use Api\PhpServices\Daemon\DaemonServiceInterface;
use Api\PhpUtils\Log\FileLog;
use App\Models\order\mysql\PayOrderItem;
use App\Services\pay\PayService;

class Wallet implements DaemonServiceInterface
{
    /**
     * 核销、支付后直接到钱包补偿任务
     */
    public function run()
    {
        FileLog::info('Daemon:', 'start');
        if (!empty($data['LIMIT'])) {
            $where['LIMIT'] = $data['LIMIT'];
        }

        if (!empty($data['ORDER'])) {
            $where['ORDER'] = 'can_notify_account_time ASC';
        }

        $where['can_notify_account'] = 1;
        $where['ORDER'] = 'can_notify_account_time ASC';
        $where['LIMIT'] = [0, 10];

        $list = PayOrderItem::selectMaster('*', $where);

        $payService = new PayService();

        foreach ($list as $row) {
            $payService->sync_account_wallet($row['order_item_id']);
        }

        if(empty($list)) {
            sleep(10);
        }
    }
}